---
title: llarp::LokidConfig

---

# llarp::LokidConfig





## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[defineConfigOptions](Classes/structllarp_1_1LokidConfig.md#function-defineconfigoptions)**([ConfigDefinition](Classes/structllarp_1_1ConfigDefinition.md) & conf, const [ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md) & params) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| bool | **[whitelistRouters](Classes/structllarp_1_1LokidConfig.md#variable-whitelistrouters)**  |
| fs::path | **[ident_keyfile](Classes/structllarp_1_1LokidConfig.md#variable-ident-keyfile)**  |
| oxenmq::address | **[lokidRPCAddr](Classes/structllarp_1_1LokidConfig.md#variable-lokidrpcaddr)**  |

## Public Functions Documentation

### function defineConfigOptions

```cpp
void defineConfigOptions(
    ConfigDefinition & conf,
    const ConfigGenParameters & params
)
```


## Public Attributes Documentation

### variable whitelistRouters

```cpp
bool whitelistRouters = false;
```


### variable ident_keyfile

```cpp
fs::path ident_keyfile;
```


### variable lokidRPCAddr

```cpp
oxenmq::address lokidRPCAddr;
```


-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000